Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## prea.util
Class Printer

    java.lang.Object
      prea.util.Printer

    public class Printer

extends java.lang.Object

This is a class containing printing functions in human-readable format from various kinds of data.

Since:
  2012. 4. 20
Version:
  1.1
Author:
  Joonseok Lee, Mingxuan Sun

Constructor Summary
`Printer()`

Method Summary
`static void` | `printArray(double[] A)` Print each element in a double array.
`static void` | `printArray(double[][] A)` Print each element in a 2-D double matrix.
`static void` | `printArray(double[][][] A)` Print each element in a 3-D double matrix.
`static void` | `printArray(int[] A)` Print each element in an integer array
`static java.lang.String` | `printTime(long msType)` Convert time in milliseconds to human-readable format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Printer

    public Printer()

Method Detail

### printArray

    public static void printArray(double[] A)

  Print each element in a double array.

  Parameters:
    `A` - The array to print

### printArray

    public static void printArray(int[] A)

  Print each element in an integer array

  Parameters:
    `A` - The array to print

### printArray

    public static void printArray(double[][] A)

  Print each element in a 2-D double matrix.

  Parameters:
    `A` - The array to print

### printArray

    public static void printArray(double[][][] A)

  Print each element in a 3-D double matrix.

  Parameters:
    `A` - The array to print

### printTime

    public static java.lang.String printTime(long msType)

  Convert time in milliseconds to human-readable format.

  Parameters:
    `msType` - The time in milliseconds
  Returns:
    a human-readable string version of the time

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD